/*
This stylesheet is based on the following style sheet:
https://gitlab.gnome.org/GNOME/mutter/-/raw/main/doc/website/style.css
*/

@font-face {
  font-family: "Inter var";
  font-weight: 100 900;
  font-display: swap;
  font-style: normal;
  font-named-instance: "Regular";
  src: local("Inter Var"), local("Inter Variable"), local("InterVariable"), url(https://static.gnome.org/fonts/Inter.var.woff2) format("woff2");
}

.container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

main {
  flex: 1;
}

:root {
  --rounded-corner: 12px;
  --blue1: rgb(153, 193, 241);
  --blue2: rgb(98, 160, 234);
  --blue3: rgb(53, 132, 228);
  --blue4: rgb(28, 113, 216);
  --blue5: rgb(26, 95, 180);
  --green1: rgb(143, 240, 164);
  --green2: rgb(87, 227, 137);
  --green3: rgb(51, 209, 122);
  --green4: rgb(46, 194, 126);
  --green5: rgb(38, 162, 105);
  --yellow1: rgb(249, 240, 107);
  --yellow2: rgb(248, 228, 92);
  --yellow3: rgb(246, 211, 45);
  --yellow4: rgb(245, 194, 17);
  --yellow5: rgb(229, 165, 10);
  --orange1: rgb(255, 190, 111);
  --orange2: rgb(255, 163, 72);
  --orange3: rgb(255, 120, 0);
  --orange4: rgb(230, 97, 0);
  --orange5: rgb(198, 70, 0);
  --red1: rgb(246, 97, 81);
  --red2: rgb(237, 51, 59);
  --red3: rgb(224, 27, 36);
  --red4: rgb(192, 28, 40);
  --red5: rgb(165, 29, 45);
  --purple1: rgb(220, 138, 221);
  --purple2: rgb(192, 97, 203);
  --purple3: rgb(145, 65, 172);
  --purple4: rgb(129, 61, 156);
  --purple5: rgb(97, 53, 131);
  --brown1: rgb(205, 171, 143);
  --brown2: rgb(181, 131, 90);
  --brown3: rgb(152, 106, 68);
  --brown4: rgb(134, 94, 60);
  --brown5: rgb(99, 69, 44);
  --light1: rgb(255, 255, 255);
  --light2: rgb(246, 245, 244);
  --light3: rgb(222, 221, 218);
  --light4: rgb(192, 191, 188);
  --light5: rgb(154, 153, 150);
  --dark1: rgb(119, 118, 123);
  --dark2: rgb(94, 92, 100);
  --dark3: rgb(61, 56, 70);
  --dark4: rgb(36, 31, 49);
  --dark5: rgb(0, 0, 0);
  --primary-color: #22543d;
  --borders: var(--light3);
  --br: 9px;
  --fg-color: #241f31;
  --bg-color: #f6f5f4;
  --term-fg: var(--dark3);
  --term-bg: var(--light1);
  --term-br: 9px;
  --hovertile: #fff;
}

@media (prefers-color-scheme: dark) {
  :root {
    color-scheme: dark;
    --primary-color: #dc8add;
    --fg-color: #eee;
    --bg-color: #29384c;
    --term-fg: var(--light1);
    --term-bg: var(--dark4);
    --hovertile: rgba(0, 0, 0, 0.2);
  }
}


* {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-family: "Inter var", sans-serif;
  font-weight: 400;
  line-height: 1.6;
  scroll-behavior: smooth;
}

body {
  color: var(--fg-color);
  background-color: var(--bg-color);
  /* ⇩⇩ put footer at the bottom for short pages, such as the 404 ⇩⇩ */
  display: grid;
  min-height: 100vh;
  grid-template-rows: auto minmax(auto, 1fr) auto;
  /* header, stuff, footer */
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 3rem 0 1rem;
  font-weight: 600;
  line-height: 1.25;
  font-variation-settings: "wght" 600;
  /* needed for webkit */
}

h1 {
  font-size: 1.5rem;
  font-weight: 100;
  font-style: normal;
  margin: 3rem 0 1rem;
}

@media screen and (min-width: 650px) {
  h1 {
    font-size: 1.6rem;
  }
}

h2 {
  font-size: 1.2rem;
}

a {
  font-weight: 600;
  text-decoration: none;
  color: var(--primary-color);
  cursor: pointer;
  font-variation-settings: "wght" 600;
  /* needed for webkit */
}

a:hover {
  text-decoration: underline;
}

b {
  font-weight: 600;
}

small {
  color: #777;
}

hr {
  margin: 3rem auto 4rem;
  width: 40%;
  opacity: 40%;
}

img {
  display: block;
  margin: 2rem auto;
  max-width: 100%;
}

img.full,
picture.full img {
  width: 100%;
}

img.pixels,
picture.pixels img {
  image-rendering: crisp-edges;
  image-rendering: pixelated;
}


/* Layout */
.container {
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  max-width: 720px;
}

/* Singletons */
#logo {
  display: block;
  width: 251px;
  height: 26px;
  background: url('assets/page-logo.svg') no-repeat center;
  padding: 5rem 0 3rem;
  margin: 0 auto;
  position: relative;
}

#logo a {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  color: rgba(0, 0, 0, 0);
  /* make text transparent */
  cursor: pointer;
}

.page-logo>img {
  margin: 0 auto;
}

.page-link::after {
  content: " ➜";
}


/* Footer */
footer {
  text-align: center;
  padding: 3em 0 3em;
  font-size: 1em;
  margin-top: 4rem;
}

/* Tiles */
ul.tiles {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
  list-style: none;
  margin: 0;
  padding: 0;
  gap: 1rem;
  grid-template-rows: masonry;
}

ul.tiles li {
  padding: 1rem;
  border-radius: var(--br);
  transition: all 0.35s cubic-bezier(0.17, 0.89, 0.32, 1.28);
}

ul.tiles li:hover {
  background: var(--hovertile);
  box-shadow: 0 0 0 8px var(--hovertile);
}

ul.tiles h3 {
  margin: 0;
  color: var(--primary-color);
  text-decoration: underline;
}

ul.tiles a {
  font-weight: 400;
  font-variation-settings: "wght" 400;
  display: block;
  height: 100%;
  text-decoration: none;
  color: var(--fg-color);
}

.content {
  flex-grow: 1;
}

.navigation {
  margin-top: 32px;
}

.links a {
  display: block;
}

.color-green {
  color: var(--primary-color);
}

pre {
  margin: 4px;
}

table {
  width: 100%;
}

a {
  padding-left: 8px;
  padding-right: 8px;
}
